{% extends "admin/clientsections/change_list.html" %}
{% load i18n adminmedia admin_list %}

{% block extrastyle %}
{{block.super}}
<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}css/artcode/sortables.css" />
{% endblock %}

{% block extrahead %}
{{block.super}}
<script type="text/javascript" src="{{MEDIA_URL}}js/jquery/ui/ui.sortable.js"></script>
<script type="text/javascript">
$(function() {
    $('#category_list').sortable({
        handle: '.move',
        helper: 'clone',
        axis: 'y',
        tolerance: 'pointer',
        update: function(e, ui){            
            var data = $(this).sortable('serialize').replace(/\[\]/g, '');
            $.post('../category/sort/', data);
        }
    });
}); 
</script>
{% endblock %}

{% block content_title %}<h1>Collection Admin</h1>{% endblock %}

{% block object-tools %}
    {% if has_add_permission %}
        <ul class="object-tools">
          <li>
            <a href="import_collections/" class="addlink">Import Existing Collections</a>
          </li>
          <li>
            <a href="../category/add/" class="addlink">Add Category</a>
          </li>
          <li>
            <a href="add/{% if is_popup %}?_popup=1{% endif %}" class="addlink">
              {% blocktrans with cl.opts.verbose_name as name %}Add {{ name }}{% endblocktrans %}
            </a>
          </li>
        </ul>
      {% endif %}
{% endblock %}

{% block result_list %}
      <h4>Categories</h4>
      <ul id="category_list" class="sortable-list">
      {% for cat in categories %}
        <li id="category_{{cat.pk}}"><span class="move" title="drag me"></span>
            <a href="../category/{{cat.pk}}/">{{cat}}</a> <a href="../category/{{cat.pk}}/" class="changelink">edit</a></li>
      {% endfor %}
      </ul>
      <br/>

      <h4>Collections</h4>
      {% result_list cl %}
{% endblock %}
